Bug 964029 - Error occurred when non-privilege user run the shared search
Error occurred when non-privilege user run the shared search
Status: CLOSED CURRENTRELEASE
Product: Bugzilla
Classification: Community
Component: Query/Bug List (Show other bugs)
4.4
Unspecified Unspecified
medium Severity high (vote)
: ---
: ---
Assigned To: Simon Green
tools-bugs
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 01:51 EDT by wangjing
Modified: 2014-10-12 18:50 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.4.0005
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-30 21:32:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Simon Green 2013-05-17 01:55:12 EDT
This is the expected behaviour. If a user cannot see a field (or enters a field that does not exist), the above error will occur.

  -- simon
Comment 2 wangjing 2013-06-05 23:39:57 EDT
(In reply to Simon Green from comment #1)
> This is the expected behaviour. If a user cannot see a field (or enters a
> field that does not exist), the above error will occur.
> 
>   -- simon

ok, could this error text be replaced by some proper warnings rather than 'Traceback: at Bugzilla/Search.pm line 1889...'

thanks.
Comment 3 Simon Green 2013-06-14 04:26:54 EDT
I guess we can throw a User error rather than a Code error.

  -- simon
Comment 7 Simon Green 2013-07-30 21:32:22 EDT
This change is now live. If there are any issues, do not reopen this bug. Instead, you should create a new bug and reference this bug.

  -- simon

Note You need to log in before you can comment on or make changes to this bug.